package com.hungraim.ism.pojo.vo.disable;

import java.util.Date;
import java.util.List;

/**
 * 失能审核信息详情VO
 */
public class DisableExamineInfoVO {
    //***失能人员个人信息
    //机构
    private String organId;
    private String organName;
    //所在省市
    private String provincial;
    private String city;
    private String area;
    //申请人签名
    private String name;
    //身份证号码
    private String certiCode;
    //出生年月日
    private Date birthday;
    //性别
    private String gender;
    //手机
    private String tel;
    //所在户籍
    private String regist;
    //固话
    private String fixedTel;
    //待遇类型
    private String treatmentType;
    //接受评定地址
    private String acptProvincial;
    private String acptCity;
    private String acptArea;
    private String acptStreet;
    private String acptAddress;
    //接受服务地址
    private String acptSrvProvincial;
    private String acptSrvCity;
    private String acptSrvArea;
    private String acptSrvStreet;
    private String acptSrvRoadDetail;
    //现住址
    private String adressDistrictProvincial;
    private String adressDistrictCity;
    private String adressDistrictCode;
    private String addressRoadDetail;
    private String addressNumberDetail;

    //***失能人员医疗及失能信息
    //诊断疾病
    private String disease;
    //申请服务方式
    private String applyMethod;
    //病情描述及诊断
    private String diseaseDesc;
    //社会保障卡号
    private String medicalCard;
    //医保类型
    private String medicalType;
    //意向服务机构
    private String srvOrganId;
    //意向服务机构执业许可证登记号
    private String permitId;

    //***代办人信息
    //姓名
    private String operName;
    //身份证号码
    private String operCertiCode;
    //手机
    private String operTel;
    //与失能人员关系
    private String operRelation;
    //代办人固话
    private String operFixedTel;
    //现住址
    private String operDistrictProvince;
    private String operDistrictCity;
    private String operDistrictCode;
    private String operStreet;
    private String operAddress;

    //***审核记录
    private List<ExamineRecord> examineRecords;

    //***审核结果
    //审核人
    private String checkName;
    //审核结果
    private String applyStatus;
    //备注
    private String checkRemark;

    public List<ExamineRecord> getExamineRecords() {
        return examineRecords;
    }

    public void setExamineRecords(List<ExamineRecord> examineRecords) {
        this.examineRecords = examineRecords;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getProvincial() {
        return provincial;
    }

    public void setProvincial(String provincial) {
        this.provincial = provincial;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCertiCode() {
        return certiCode;
    }

    public void setCertiCode(String certiCode) {
        this.certiCode = certiCode;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getRegist() {
        return regist;
    }

    public void setRegist(String regist) {
        this.regist = regist;
    }

    public String getFixedTel() {
        return fixedTel;
    }

    public void setFixedTel(String fixedTel) {
        this.fixedTel = fixedTel;
    }

    public String getTreatmentType() {
        return treatmentType;
    }

    public void setTreatmentType(String treatmentType) {
        this.treatmentType = treatmentType;
    }

    public String getAcptProvincial() {
        return acptProvincial;
    }

    public void setAcptProvincial(String acptProvincial) {
        this.acptProvincial = acptProvincial;
    }

    public String getAcptCity() {
        return acptCity;
    }

    public void setAcptCity(String acptCity) {
        this.acptCity = acptCity;
    }

    public String getAcptArea() {
        return acptArea;
    }

    public void setAcptArea(String acptArea) {
        this.acptArea = acptArea;
    }

    public String getAcptStreet() {
        return acptStreet;
    }

    public void setAcptStreet(String acptStreet) {
        this.acptStreet = acptStreet;
    }

    public String getAcptAddress() {
        return acptAddress;
    }

    public void setAcptAddress(String acptAddress) {
        this.acptAddress = acptAddress;
    }

    public String getAcptSrvProvincial() {
        return acptSrvProvincial;
    }

    public void setAcptSrvProvincial(String acptSrvProvincial) {
        this.acptSrvProvincial = acptSrvProvincial;
    }

    public String getAcptSrvCity() {
        return acptSrvCity;
    }

    public void setAcptSrvCity(String acptSrvCity) {
        this.acptSrvCity = acptSrvCity;
    }

    public String getAcptSrvArea() {
        return acptSrvArea;
    }

    public void setAcptSrvArea(String acptSrvArea) {
        this.acptSrvArea = acptSrvArea;
    }

    public String getAcptSrvStreet() {
        return acptSrvStreet;
    }

    public void setAcptSrvStreet(String acptSrvStreet) {
        this.acptSrvStreet = acptSrvStreet;
    }

    public String getAcptSrvRoadDetail() {
        return acptSrvRoadDetail;
    }

    public void setAcptSrvRoadDetail(String acptSrvRoadDetail) {
        this.acptSrvRoadDetail = acptSrvRoadDetail;
    }

    public String getAdressDistrictProvincial() {
        return adressDistrictProvincial;
    }

    public void setAdressDistrictProvincial(String adressDistrictProvincial) {
        this.adressDistrictProvincial = adressDistrictProvincial;
    }

    public String getAdressDistrictCity() {
        return adressDistrictCity;
    }

    public void setAdressDistrictCity(String adressDistrictCity) {
        this.adressDistrictCity = adressDistrictCity;
    }

    public String getAdressDistrictCode() {
        return adressDistrictCode;
    }

    public void setAdressDistrictCode(String adressDistrictCode) {
        this.adressDistrictCode = adressDistrictCode;
    }

    public String getAddressRoadDetail() {
        return addressRoadDetail;
    }

    public void setAddressRoadDetail(String addressRoadDetail) {
        this.addressRoadDetail = addressRoadDetail;
    }

    public String getAddressNumberDetail() {
        return addressNumberDetail;
    }

    public void setAddressNumberDetail(String addressNumberDetail) {
        this.addressNumberDetail = addressNumberDetail;
    }

    public String getDisease() {
        return disease;
    }

    public void setDisease(String disease) {
        this.disease = disease;
    }

    public String getApplyMethod() {
        return applyMethod;
    }

    public void setApplyMethod(String applyMethod) {
        this.applyMethod = applyMethod;
    }

    public String getDiseaseDesc() {
        return diseaseDesc;
    }

    public void setDiseaseDesc(String diseaseDesc) {
        this.diseaseDesc = diseaseDesc;
    }

    public String getMedicalCard() {
        return medicalCard;
    }

    public void setMedicalCard(String medicalCard) {
        this.medicalCard = medicalCard;
    }

    public String getMedicalType() {
        return medicalType;
    }

    public void setMedicalType(String medicalType) {
        this.medicalType = medicalType;
    }

    public String getSrvOrganId() {
        return srvOrganId;
    }

    public void setSrvOrganId(String srvOrganId) {
        this.srvOrganId = srvOrganId;
    }

    public String getPermitId() {
        return permitId;
    }

    public void setPermitId(String permitId) {
        this.permitId = permitId;
    }

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName;
    }

    public String getOperCertiCode() {
        return operCertiCode;
    }

    public void setOperCertiCode(String operCertiCode) {
        this.operCertiCode = operCertiCode;
    }

    public String getOperTel() {
        return operTel;
    }

    public void setOperTel(String operTel) {
        this.operTel = operTel;
    }

    public String getOperRelation() {
        return operRelation;
    }

    public void setOperRelation(String operRelation) {
        this.operRelation = operRelation;
    }

    public String getOperFixedTel() {
        return operFixedTel;
    }

    public void setOperFixedTel(String operFixedTel) {
        this.operFixedTel = operFixedTel;
    }

    public String getOperDistrictProvince() {
        return operDistrictProvince;
    }

    public void setOperDistrictProvince(String operDistrictProvince) {
        this.operDistrictProvince = operDistrictProvince;
    }

    public String getOperDistrictCity() {
        return operDistrictCity;
    }

    public void setOperDistrictCity(String operDistrictCity) {
        this.operDistrictCity = operDistrictCity;
    }

    public String getOperDistrictCode() {
        return operDistrictCode;
    }

    public void setOperDistrictCode(String operDistrictCode) {
        this.operDistrictCode = operDistrictCode;
    }

    public String getOperStreet() {
        return operStreet;
    }

    public void setOperStreet(String operStreet) {
        this.operStreet = operStreet;
    }

    public String getOperAddress() {
        return operAddress;
    }

    public void setOperAddress(String operAddress) {
        this.operAddress = operAddress;
    }

    public String getCheckName() {
        return checkName;
    }

    public void setCheckName(String checkName) {
        this.checkName = checkName;
    }

    public String getApplyStatus() {
        return applyStatus;
    }

    public void setApplyStatus(String applyStatus) {
        this.applyStatus = applyStatus;
    }

    public String getCheckRemark() {
        return checkRemark;
    }

    public void setCheckRemark(String checkRemark) {
        this.checkRemark = checkRemark;
    }
}
